/*
** elliptic.inc
*/

proc aProc(t,x,y);
  retp( ones(rows(x),cols(y)) );
endp;

proc bProc(t,x,y);
  retp( -0.5*ones(rows(x),cols(y)) );
endp;

proc cProc(t,x,y);
  retp( ones(rows(x),cols(y)) );
endp;

proc dProc(t,x,y);
  retp( zeros(rows(x),cols(y)) );
endp;

proc eProc(t,x,y);
  retp( zeros(rows(x),cols(y)) );
endp;

proc fProc(t,x,y);
  retp( zeros(rows(x),cols(y)) );
endp;

proc gProc(t,x,y);
  retp( zeros(rows(x),cols(y)) );
endp;


proc xminBound(t,x,y);
  retp( zeros(rows(x),cols(y)) );
endp;

proc xmaxBound(t,x,y);
  retp( ones(rows(x),1) .* (y + y^2) );
endp;

proc yminBound(t,x,y);
  retp( zeros(rows(x),cols(y)) );
endp;

proc ymaxBound(t,x,y);
  retp( ones(rows(x),1) .* (x + x^2) );
endp;


proc InitialGuessSolution(t,x,y);
  retp( rndn(rows(x),cols(y)) );
endp;


proc solutionProc(t,x,y);
  retp( (x^2).*y + x.*(y^2) );
endp;
