/*
** tutor.inc
*/

proc aProc(t,x,y);
  retp( 0.5*x^2 + y^2 );
endp;

proc bProc(t,x,y);
  retp( -0.5*(x^2 + y^2) );
endp;

proc cProc(t,x,y);
  retp( x^2 + 0.5*y^2 );
endp;

proc dProc(t,x,y);
  retp( ones(rows(x),cols(y)).*x );
endp;

proc eProc(t,x,y);
  retp( -ones(rows(x),cols(y)).*y );
endp;

proc fProc(t,x,y);
  retp( ones(rows(x),cols(y)) );
endp;

proc gProc(t,x,y);
  retp( 2*x.*(y^2).*exp(-t) );
endp;


proc tminBound(t,x,y);
  retp( (x^2).*y + x.*(y^2) + x );
endp;

proc xminBound(t,x,y);
  retp( zeros(rows(x),cols(y)) );
endp;

proc xmaxBound(t,x,y);
  local Nx,Ny;
  Nx = rows(x); Ny = cols(y);
  retp( ones(Nx,Ny).*( (y+y^2)*exp(-t) + 1 ) );
endp;

proc yminBound(t,x,y);
  local Nx,Ny;
  Nx = rows(x); Ny = cols(y);
  retp( zeros(Nx,Ny) + x );
endp;

proc ymaxBound(t,x,y);
  local Nx,Ny;
  Nx = rows(x); Ny = cols(y);
  retp( ones(Nx,Ny).*( (x+x^2)*exp(-t) + x) );
endp;

proc DxminBound(t,x,y);
  local Nx,Ny;
  Nx = rows(x); Ny = cols(y);
  retp( ones(Nx,Ny).*( (y^2)*exp(-t) + 1 ) );
endp;

proc DxmaxBound(t,x,y);
  local Nx,Ny;
  Nx = rows(x); Ny = cols(y);
  retp( ones(Nx,Ny).*( (2*y + y^2)*exp(-t) + 1 ) );
endp;

proc DyminBound(t,x,y);
  local Nx,Ny;
  Nx = rows(x); Ny = cols(y);
  retp( ones(Nx,Ny).*(x^2)*exp(-t) );
endp;

proc DymaxBound(t,x,y);
  local Nx,Ny;
  Nx = rows(x); Ny = cols(y);
  retp( ones(Nx,Ny).*(2*x + x^2)*exp(-t) );
endp;
