/*
** tutor10.prg
*/

new;
library PDE2D;
PDE2Dset;

output file = tutor10.out reset;

x = ExtractSolution("tutor8","x");
y = ExtractSolution("tutor8","y");

indx = FindIndex(x,0.5);
indy = FindIndex(y',0.5);

u = submat(ExtractSolution("tutor8","t"|0.5),indx,indy);
sol = SolutionProc(0.5,0.5,0.5);

print ftos(sol,"u(0.5,0.5,0.5) = %lf",4,6);
print ftos(u,  "Numerical sol. = %lf",4,6);

output off;

proc solutionProc(t,x,y);
  retp( ((x^2).*y + x.*(y^2)).*exp(-t) + x );
endp;


