/*
** tutor6.prg
*/

new;
library PDE2D;

PDE2Dset;

#include tutor.inc;

__output = 0;
output file = tutor6.out reset;

call PDE2D(&aProc,&bProc,&cProc,&dProc,&eProc,&fProc,&gProc,0,
           &tminBound,&xminBound,&xmaxBound,&yminBound,&ymaxBound,
           0,0,0,0);

xmin = 0; xmax = 1; Nx = 21;
ymin = 0; ymax = 1; Ny = 11;
tmin = 0; tmax = 1; Nt = 101;

call Hopscotch(tmin,tmax,Nt,xmin,xmax,Nx,ymin,ymax,Ny,"tutor6");

k = vread(_Hopscotch_MeshRatios,"k");
hx = vread(_Hopscotch_MeshRatios,"hx");
hy = vread(_Hopscotch_MeshRatios,"hy");
rxx = vread(_Hopscotch_MeshRatios,"r(x,x)");
rxy = vread(_Hopscotch_MeshRatios,"r(x,y)");
ryy = vread(_Hopscotch_MeshRatios,"r(y,y)");

print ftos(k ,"k = %lf",6,3);
print ftos(hx,"hx = %lf",6,3);
print ftos(hy,"hy = %lf",6,3);
print;
print ftos(rxx,"r(x,x): %lf",6,3);
print ftos(rxy,"r(x,y): %lf",6,3);
print ftos(ryy,"r(y,y): %lf",6,3);

output off;
