/*
** tutor8.prg
*/

new;
library PDE2D;

PDE2Dset;

#include tutor.inc;

__output = 0;

output file = tutor8.out reset;

call PDE2D(&aProc,&bProc,&cProc,&dProc,&eProc,&fProc,&gProc,0,
           &tminBound,&xminBound,&xmaxBound,&yminBound,&ymaxBound,
           0,0,0,0);

xmin = 0; xmax = 1; Nx = 13;
ymin = 0; ymax = 1; Ny = 11;
tmin = 0; tmax = 0.5; Nt = 6;

call Hopscotch(tmin,tmax,Nt,xmin,xmax,Nx,ymin,ymax,Ny,"tutor8");

x = ExtractSolution("tutor8","x");
y = ExtractSolution("tutor8","y");
t = ExtractSolution("tutor8","t");

print "-- x --";
call printfm(x,1,"*.*lf" ~ 7 ~ 5);
print "-- y --";
call printfm(y,1,"*.*lf" ~ 5 ~ 2);
print; print "-- t --";
call printfm(t,1,"*.*lf" ~ 5 ~ 2);

output off;
